%define kde_release 2.1
%define qt_release 2.2.4

Name: kdevelop
Summary: Integrated Development Environment for C++/C
Prefix: %{_prefix}/kde
Version: 1.4
Release: 2
Source: ftp://ftp.kde.org/pub/kde/stable/%{kde_release}/distribution/tar/generic/source/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: kdesupport-devel, kdelibs-devel, make, autoconf >= 2.13
Requires: automake >= 1.4 flex >= 2.5.4

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p2 -b .aix

# Deoptimize.  Temporary until compiler is in better shape.
for file in `find . -print | xargs grep -l '\-O2'`; do
  cp $file $file.withO2
  sed -e 's/\-O2/-O0/g' < $file.withO2 > $file
done

# Crudely force all link activity to see the rpm build dir.
# Without this, 'make install' will fail while relinking, looking in %{prefix}/lib.
for file in `find . -name "ltmain.sh" -print`; do
  if test "$file" != "./kdvi/kpathsea/ltmain.sh"; then
    cp $file $file.nonrelocatable
    sed -e "s|\$wl-brtl|-L$RPM_BUILD_ROOT%{prefix}/lib \$wl-brtl|g" $file > $file.tmp
    mv $file.tmp $file
  fi
done
for file in `find . -name "ltcf-c*.sh" -print`; do
  cp $file $file.nonrelocatable
  sed -e "s|\${wl}-G|-L$RPM_BUILD_ROOT%{prefix}/lib \${wl}-G|g" $file.nonrelocatable > $file
done


%build
export KDEDIR=%{prefix}
export QTDIR=%{_prefix}/qt
CFLAGS="-DNDEBUG -DNO_DEBUG" CXXFLAGS="-DNDEBUG -DNO_DEBUG" ./configure \
	--prefix=%{prefix} \
	--with-qtdoc-dir=%{_docdir}/qt-%{qt_release} \
	--with-kdelibsdoc-dir=%{_docdir}/kdelibs-devel-%{kde_release} 
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Stripping decreases size a lot!
/usr/bin/strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

mkdir -p $RPM_BUILD_ROOT/usr
ln -sf ..%{prefix} $RPM_BUILD_ROOT/usr

cd $RPM_BUILD_ROOT
find .%{prefix} -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config |' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

echo "%docdir %{prefix}/share/doc" >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Tue Mar 13 2001 Marc Stephenson <marc@austin.ibm.com>
- Filter /usr from directory listings
- Rebuild against new shared objects
- Clean install directory

* Tue Mar  6 2001 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX freeware distribution.

* Sun Aug 13 2000 Than Ngo <than@redhat.com>
- fix kdelibsdoc-dir to show kdelibs-1.1.2 html docu correct

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add missing ldconfig in %post and %postun section (Bug #14924)
- add missing C references stuff to kdevelop

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++, put KDE1 under /usr
- cleanup specfile

* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- fix dependency problem

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs-c++-1.1.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- fix docdir
- add requires kdebase

* Sun Jul 02 2000 Than Ngo <than@redhat.de>
- rebuilt with  kde1-compat

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, fix docdir
- FHS packaging

* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- update to 1.2
- move from powertools to main CD
- use %%configure

* Mon Apr 3 2000 Ngo Than <than@redhat.de>
- fix up reference (Bug #10368)

* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up documentation path (Bug #7291)
- Update to current stable branch - this should fix up the debugger problem
- clean up spec file

* Fri Jan  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current stable branch
- Adapt to 6.2 Qt libraries
- Use BuildPrereq

* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- added patch for alpha

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated kdevelop-1.0 release

* Tue Nov 16 1999 Preston Brown <pbrown@redhat.com>
- kdevelop 1.0beta4.1, docdir added, using DESTDIR env. variable.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- initial packaging for 6.1.
